#2631 closed enhancement (fixed)

Use an ISR lock to protect the state of Classic Rate Monotonic objects

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The state of Classic Rate Monotonic is currently protected by the Giant lock and ISR disable sections. Use a per-object ISR lock to protect state changes instead.

Change History (3)

comment:1 Changed on Mar 22, 2016 at 6:28:14 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 90960bd11a91259d9aace3870692dbe2e227de0f/rtems:

rtems: Rework rate-monotonic scheduler

Use the default thread lock to protect rate-monotonic state changes.
This avoids use of the Giant lock. Split rtems_rate_monotonic_period()
body into several static functions. Introduce a new thread wait class
THREAD_WAIT_CLASS_PERIOD for period objects to synchronize the blocking
operation.

Close #2631.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.